package com.yc.ship.module.resource.service.dock;

import java.util.*;
import javax.validation.*;
import com.yc.ship.module.resource.controller.admin.dock.vo.*;
import com.yc.ship.module.resource.dal.dataobject.dock.ResourceDockDO;
import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.framework.common.pojo.PageParam;

/**
 * 资源管理-口岸码头管理 Service 接口
 *
 * @author lfy
 */
public interface ResourceDockService {

    /**
     * 创建资源管理-口岸码头管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDock(@Valid ResourceDockSaveReqVO createReqVO);

    /**
     * 更新资源管理-口岸码头管理
     *
     * @param updateReqVO 更新信息
     */
    void updateDock(@Valid ResourceDockSaveReqVO updateReqVO);

    /**
     * 删除资源管理-口岸码头管理
     *
     * @param id 编号
     */
    void deleteDock(Long id);

    /**
     * 获得资源管理-口岸码头管理
     *
     * @param id 编号
     * @return 资源管理-口岸码头管理
     */
    ResourceDockDO getDock(Long id);

    /**
     * 获得资源管理-口岸码头管理分页
     *
     * @param pageReqVO 分页查询
     * @return 资源管理-口岸码头管理分页
     */
    PageResult<ResourceDockDO> getDockPage(ResourceDockPageReqVO pageReqVO);

    /**
     * 获取启用的码头列表
     * @return
     */
    List<ResourceDockDO> getEnableList();

    /**
     * 获取码头列表
     * @return
     */
    List<ResourceDockDO> getList(List<Long> ids);

    /**
     *  获取码头列表
     * @return
     */
    List<ResourceDockDO> getListSimple();
}